Skip to main content
GET
List all PaymentIntents

Authorizations

x-auth-token
string
header
required

The API token for login provided by UQPay.

Headers

x-on-behalf-of
string

Specifies the sub-account on whose behalf the request is made. This should be set to the account_id, which can be retrieved via the List Connected Accounts. If omitted or empty, the request is executed using the master account. More information at Connected Accounts.

x-client-id
string
required

The API client id generated by UQPAY

Query Parameters

page_size
integer
required

The maximum number of items to return per page. This number can be between 1 - 100

Required range: 1 <= x <= 100
Example:

10

page_number
integer
required

The page number to retrieve the next set of items. The number has to be greater than 1.

Required range: x >= 1
Example:

1

payment_intent_status
enum<string>

Status of the PaymentIntent. Status of this PaymentIntent.

Available options:
REQUIRES_PAYMENT_METHOD,
REQUIRES_CUSTOMER_ACTION,
REQUIRES_CAPTURE,
PENDING,
SUCCEEDED,
CANCELLED,
FAILED
start_time
string

Exclusive start time used to filter by create_time. ISO 8601 format.

Example:

"2024-03-01T00:00:00+08:00"

end_time
string

Exclusive end time used to filter by create_time. ISO 8601 format.

Example:

"2024-03-02T00:00:00+08:00"

Response

200 - application/json

List of payment intents retrieved successfully

total_pages
integer

The total pages of available items.

Example:

10

total_items
integer

The total counts of available items.

Example:

105

data
object[]